/** \file rpi_cava.h
 *  \brief This module contains continuous tasks for cava (spectrum analyzer) comunication
 */
#if !defined(__RPI_CAVA_H__)
#define __RPI_CAVA_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/

#include <stdint.h>

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

 #define CAVA_BAR_NUMBER 128

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

/**
 * \brief Start artnet node module
 **/
void setup_cava();

int cava_get_buffer(uint16_t **buffer_dst);

void close_cava();

void cava_start();

void cava_stop();

#endif /* __RPI_CAVA_H__ */